Page MenuHomePhabricator

[MLIR] break cyclic dependency between VectorOps and Analysis
AbandonedPublic

Authored by stephenneuendorffer on Jan 29 2020, 11:37 AM.

Details

Summary

Depends on D73653

Diff Detail

Event Timeline

Unit tests: unknown.

clang-tidy: unknown.

clang-format: unknown.

Build artifacts: diff.json, console-log.txt

Pre-merge checks is in beta. Report issue. Please join beta or enable it for your project.

mehdi_amini accepted this revision.Jan 29 2020, 5:10 PM

I have a similar patch locally, thanks!

mlir/test/lib/Transforms/CMakeLists.txt
34

Could MLIRVectorOps be removed here?

This revision is now accepted and ready to land.Jan 29 2020, 5:10 PM
ftynse accepted this revision.Jan 30 2020, 2:51 AM
stephenneuendorffer marked an inline comment as done.Feb 3 2020, 6:32 PM

@stephenneuendorffer do you have commit access or are you waiting for someone to land it for you?

mlir/test/lib/Transforms/CMakeLists.txt
34

This comment is marked "done" but the diff does not reflect it right now.

@stephenneuendorffer do you have commit access or are you waiting for someone to land it for you?

I have commit access, unfortunately, this conflicts with recent changes and I'm trying to figure out how to undo the damage.
I fear that after this lands, churn will continually break this unless there are nightly builds running with BUILD_SHARED_LIBS=ON.
I assume Google is running internal builds: Any chance that you can add a shared library build?

@stephenneuendorffer do you have commit access or are you waiting for someone to land it for you?

I have commit access, unfortunately, this conflicts with recent changes and I'm trying to figure out how to undo the damage.
I fear that after this lands, churn will continually break this unless there are nightly builds running with BUILD_SHARED_LIBS=ON.
I assume Google is running internal builds: Any chance that you can add a shared library build?

We don't integrate from upstream on every commits, we wouldn't catch breakages immediately. Also we don't use CMake in our internal build system (we use Bazel).

Ideally we should have a bot added to http://lab.llvm.org:8011 ; it is mostly a matter of someone plugging it there.

With the current state of the code, these changes are no longer necessary.